# Retrieve a transfer

`GET /accounts/{accountID}/transfers/{transferID}`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Retrieve full transfer details for an individual transfer of a particular Moov account. 

Payment rail-specific details are included in the source and destination. Read our [transfers overview guide](https://docs.moov.io/guides/money-movement/overview/) 
to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/transfers.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `transferID` | path | string | Yes | Identifier for the transfer. |
| `accountID` | path | string | Yes |  |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `transferID` | string | Yes |  |
| `createdOn` | string (date-time) | Yes |  |
| `source` | object | Yes |  |
| `source.transferID` | string |  | String present only if the transfer is part of a transfer group. |
| `source.paymentMethodID` | string | Yes |  |
| `source.paymentMethodType` | string | Yes | The payment method type that represents a payment rail and directionality Values: `moov-wallet`, `ach-debit-fund`, `ach-debit-collect`, `ach-credit-standard`, `ach-credit-same-day`, `rtp-credit`, `card-payment`, `push-to-card`, `pull-from-card`, `apple-pay`, `card-present-payment`, `instant-bank-credit`, `push-to-apple-pay`, `pull-from-apple-pay`, `google-pay`, `push-to-google-pay`, `pull-from-google-pay`. |
| `source.account` | object | Yes |  |
| `source.bankAccount` | object |  | A bank account as contained within a payment method. |
| `source.wallet` | object |  |  |
| `source.card` | object |  | A card as contained within a payment method. |
| `source.applePay` | object |  | Describes an Apple Pay token on a Moov account. |
| `source.googlePay` | object |  | Describes a Google Pay token on a Moov account. |
| `source.terminalCard` | object |  | Describes payment card details captured with tap or in-person payment. |
| `source.cardDetails` | object |  | Card-specific details about the transaction. |
| `source.achDetails` | object |  | ACH specific details about the transaction. |
| `destination` | object | Yes |  |
| `destination.paymentMethodID` | string | Yes |  |
| `destination.paymentMethodType` | string | Yes | The payment method type that represents a payment rail and directionality Values: `moov-wallet`, `ach-debit-fund`, `ach-debit-collect`, `ach-credit-standard`, `ach-credit-same-day`, `rtp-credit`, `card-payment`, `push-to-card`, `pull-from-card`, `apple-pay`, `card-present-payment`, `instant-bank-credit`, `push-to-apple-pay`, `pull-from-apple-pay`, `google-pay`, `push-to-google-pay`, `pull-from-google-pay`. |
| `destination.account` | object | Yes |  |
| `destination.bankAccount` | object |  | A bank account as contained within a payment method. |
| `destination.wallet` | object |  |  |
| `destination.card` | object |  | A card as contained within a payment method. |
| `destination.achDetails` | object |  | ACH specific details about the transaction. |
| `destination.applePay` | object |  | Describes an Apple Pay token on a Moov account. |
| `destination.googlePay` | object |  | Describes a Google Pay token on a Moov account. |
| `destination.cardDetails` | object |  | Card-specific details about the transaction. |
| `destination.instantBankDetails` | object |  | Instant-bank specific details about the transaction. |
| `completedOn` | string (date-time) |  |  |
| `status` | string | Yes | Status of a transfer. Values: `created`, `pending`, `completed`, `failed`, `reversed`, `queued`, `canceled`. |
| `failureReason` | string |  | Reason for a transfer's failure. Values: `source-payment-error`, `destination-payment-error`, `wallet-insufficient-funds`, `rejected-high-risk`, `processing-error`. |
| `amount` | object | Yes | Amount associated with this transfer. In v2026.10 and later, an auth-capture `card-payment` transfer reports the approved authorization amount until a final capture is created. For these transfers, when a final capture is created, this is updated to the cumulative captured amount. For other transfer types, this is the transfer amount. |
| `amount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amount.value` | integer (int64) | Yes | Quantity in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99. |
| `description` | string |  | An optional description of the transfer that is used on receipts and for your own internal use. |
| `metadata` | object |  | Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `facilitatorFee` | object |  | Total or markup fee. |
| `facilitatorFee.total` | integer (int64) |  | Total facilitator fee. |
| `facilitatorFee.totalDecimal` | string |  | Same as `total`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. Only either `total` or `totalDecimal` can be set. Set this field if you expect the fee to be in fractions of a cent. |
| `facilitatorFee.markup` | integer (int64) |  | Markup facilitator fee. |
| `facilitatorFee.markupDecimal` | string |  | Same as `markup`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. Only either `markup` or `markupDecimal` can be set. Set this field if you expect the fee to be in fractions of a cent. |
| `moovFee` | integer (int64) |  | Fees charged to your platform account for transfers. |
| `moovFeeDecimal` | string |  | Same as `moovFee`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. |
| `moovFeeDetails` | object |  | Processing and pass-through costs that add up to the moovFee. |
| `moovFeeDetails.cardScheme` | string |  | Card scheme fees accrued during authorization and settlement. String type represents dollars with up to 9 decimal place precision. |
| `moovFeeDetails.interchange` | string |  | Network interchange fee for Visa, Mastercard, or Discover. String type represents dollars with up to 9 decimal place precision. |
| `moovFeeDetails.discount` | string |  | Network discount fee for American Express. String type represents dollars with up to 9 decimal place precision. |
| `moovFeeDetails.moovProcessing` | string | Yes | Moov processing fee. String type represents dollars with up to 9 decimal place precision. |
| `moovFees` | array of object |  | Fees charged to accounts involved in the transfer. |
| `moovFees[].accountID` | string | Yes | ID of the account that fees were charged to. |
| `moovFees[].transferParty` | string | Yes | Indicates whether the account charged was the partner, source, or destination of the transfer. Values: `source`, `destination`, `partner`. |
| `moovFees[].totalAmount` | object | Yes | The total amount of fees charged to the account. |
| `moovFees[].feeIDs` | array of string | Yes | List of fee IDs that sum to the totalAmount. |
| `groupID` | string |  |  |
| `cancellations` | array of object |  |  |
| `cancellations[].cancellationID` | string | Yes |  |
| `cancellations[].status` | string | Yes | Values: `pending`, `completed`, `failed`. |
| `cancellations[].createdOn` | string (date-time) | Yes |  |
| `refundedAmount` | object |  |  |
| `refundedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `refundedAmount.value` | integer (int64) | Yes | Quantity in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99. |
| `refunds` | array of object |  |  |
| `refunds[].refundID` | string | Yes | Identifier for the refund. |
| `refunds[].createdOn` | string (date-time) | Yes |  |
| `refunds[].updatedOn` | string (date-time) | Yes |  |
| `refunds[].status` | string | Yes | Values: `created`, `pending`, `completed`, `failed`. |
| `refunds[].amount` | object | Yes |  |
| `refunds[].amountDetails` | object |  |  |
| `refunds[].cardDetails` | object |  |  |
| `disputedAmount` | object |  |  |
| `disputedAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `disputedAmount.value` | integer (int64) | Yes | Quantity in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99. |
| `disputes` | array of object |  |  |
| `disputes[].disputeID` | string | Yes |  |
| `disputes[].createdOn` | string (date-time) | Yes |  |
| `disputes[].amount` | object | Yes |  |
| `sweepID` | string |  | ID of the sweep that created this transfer. |
| `scheduleID` | string |  |  |
| `occurrenceID` | string |  |  |
| `paymentLinkCode` | string |  |  |
| `foreignID` | string |  | Optional alias from a foreign/external system which can be used to reference this resource. |
| `lineItems` | object |  | An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount. |
| `lineItems.items` | array of object | Yes | The list of line items. |
| `invoiceID` | string |  | ID of the invoice that the transfer is associated with. |
| `amountDetails` | object |  | The tip, tax, and surcharge portion of the transfer amount. For an auth-capture `card-payment` transfer, this is the aggregate of all captures' `amountDetails`. |
| `amountDetails.tip` | object |  | The amount of tip applied to the transfer. |
| `amountDetails.tax` | object |  | The amount of tax applied to the transfer. |
| `amountDetails.surcharge` | object |  | The amount of surcharge applied to the transfer. |
| `capture` | object |  | The card authorization and capture IDs associated with a transfer. |
| `capture.authorizationID` | string | Yes | ID of the card authorization associated with this transfer. |
| `capture.captureID` | string | Yes | ID of the card capture associated with this transfer. |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.get({
    transferID: "960cf5a2-50a3-4914-ad86-d54c022bf5df",
    accountID: "31113f7b-9f68-44e9-9338-6d8e655c7c96",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/money-movement/transfers/get/
